# do not provide plugins .so
%define	_exclude_files_from_autoprov	%{_libdir}/%{name}/.*\\.so

Summary:	Ultimate music player for GNU/Linux
Name:		deadbeef
Version:	0.7.2
Release:	%mkrel 6
License:	GPLv2+
Group:		Sound/Players
Url:		http://deadbeef.sourceforge.net
Source0:	http://download.sourceforge.net/deadbeef/%{name}-%{version}.tar.bz2
Patch0:		deadbeef-0.7.2-desktop.patch
BuildRequires:	intltool >= 0.40
BuildRequires:	bison
BuildRequires:	yasm
BuildRequires:	ffmpeg-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libfaad2-devel
BuildRequires:	libstdc++-static-devel
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(samplerate)
BuildRequires:	pkgconfig(sndfile)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(mad)
BuildRequires:	pkgconfig(flac)
BuildRequires:	pkgconfig(wavpack)
BuildRequires:	pkgconfig(libcdio)
BuildRequires:	pkgconfig(libcddb)
BuildRequires:	pkgconfig(libzip)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(imlib2)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(jansson)
ExcludeArch:	aarch64

%description
DeaDBeeF is an audio player for GNU/Linux systems with
X11 written in C and C++.

Features:
* minimal depends
* native GTK2/GTK3 GUI
* cuesheet support
* mp3
* ogg
* flac
* ape
* chiptune formats with subtunes
* song-length databases
* small memory footprint

%package devel
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{name} = %{version}-%{release}

%description devel
Development files and headers for %{name}.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x \
	--disable-static \
	--disable-rpath

%make_build

%install
%make_install

#handle docs in files section
rm -rf %{buildroot}%{_docdir}/%{name}

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name} %{name}.lang

%files -f %{name}.lang
%doc AUTHORS ChangeLog
%doc about.txt help.txt translators.txt
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/scalable/apps/deadbeef.svg

%files devel
%{_includedir}/%{name}/


%changelog
* Wed Jan 02 2019 alexl <alexl> 0.7.2-6.mga7
+ Revision: 1348509
+ rebuild (emptylog)

* Thu Sep 20 2018 umeabot <umeabot> 0.7.2-5.mga7.tainted
+ Revision: 1277863
- Mageia 7 Mass Rebuild

* Sun Apr 29 2018 daviddavid <daviddavid> 0.7.2-4.mga7.tainted
+ Revision: 1223590
- rebuild for new ffmpeg 4.0
+ kekepower <kekepower>
- Update to version 0.7.2

* Sun Jan 14 2018 wally <wally> 0.7.1-4.mga7.tainted
+ Revision: 1193041
- rebuild for new libcdio

* Sat Dec 30 2017 wally <wally> 0.7.1-3.mga7.tainted
+ Revision: 1187968
- rebuild for new libzip

* Wed Mar 08 2017 akien <akien> 0.7.1-2.mga6.tainted
+ Revision: 1090268
- Rebuild for ffmpeg 3.2.4

* Thu Apr 07 2016 daviddavid <daviddavid> 0.7.1-1.mga6.tainted
+ Revision: 999054
- new version: 0.7.1 (mga#18150)
- add BR pkgconfig(jansson)
- switch BRs to pkgconfig()

* Wed Feb 24 2016 daviddavid <daviddavid> 0.6.1-7.mga6.tainted
+ Revision: 977854
- rebuild for Mageia 6

* Thu Nov 19 2015 daviddavid <daviddavid> 0.6.1-6.mga6.tainted
+ Revision: 904154
- fix build of vfs_zip plugin
- rebuild for new libzip 1.0.1

* Thu Jul 16 2015 sander85 <sander85> 0.6.1-5.mga6.tainted
+ Revision: 854695
- Rebuild for new libcdio

* Fri Nov 14 2014 cjw <cjw> 0.6.1-4.mga5.tainted
+ Revision: 796965
- rebuild for ffmpeg 2.4

* Wed Oct 15 2014 umeabot <umeabot> 0.6.1-3.mga5.tainted
+ Revision: 744437
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.1-2.mga5.tainted
+ Revision: 678700
- Mageia 5 Mass Rebuild

* Sat Jun 21 2014 wally <wally> 0.6.1-1.mga5.tainted
+ Revision: 638260
- new version 0.6.1
- enable ffmpeg support

* Thu Oct 31 2013 tmb <tmb> 0.5.6-3.mga4.tainted
+ Revision: 548159
- Mageia 4 rebuild

* Thu Jan 17 2013 pterjan <pterjan> 0.5.6-2.mga4.tainted
+ Revision: 389214
+ rebuild (emptylog)

* Fri Jan 11 2013 umeabot <umeabot> 0.5.6-2.mga3.tainted
+ Revision: 348711
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Oct 27 2012 wally <wally> 0.5.6-1.mga3.tainted
+ Revision: 310699
- fix RPM group
- new version 0.5.6
- enable gtk3 gui support
- clean .spec a bit

* Wed Jun 06 2012 shlomif <shlomif> 0.5.5-1.mga3.tainted
+ Revision: 256291
- New version - 0.5.5

* Sat Mar 03 2012 malo <malo> 0.5.2-0.beta1.1.mga2.tainted
+ Revision: 217514
- fix for desktop file
- spec clean-up after import from Mandriva.
- imported package deadbeef


* Sat Feb 25 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.2-0.beta1.1mdv2012.0
+ Revision: 780738
- update to new version 0.5.2-beta1
- add buildrequires on yasm and bison
- drop patch 0, applied by upstream

  + Götz Waschk <waschk@mandriva.org>
    - rebuild for new libcdio

* Fri Sep 23 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.1-3
+ Revision: 701114
- rebuild

* Fri Sep 23 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.1-2
+ Revision: 701086
- nuke rpath
- add missing buildrequires on libzip-devel dbus-devel libimlib2-devel libjpeg-devel libpulseaudio-devel libfaad2-devel

* Tue Jun 14 2011 Александр Казанцев <kazancas@mandriva.org> 0.5.1-1
+ Revision: 685144
- update to version 0.5.1

* Fri May 20 2011 Александр Казанцев <kazancas@mandriva.org> 0.5.0-2
+ Revision: 676348
- new version 0.5.0

* Sun Dec 19 2010 Shlomi Fish <shlomif@mandriva.org> 0.4.4-2mdv2011.0
+ Revision: 622922
- Add a dependency on intltool - it was missing
- update to version 0.4.4
- fix plugin loading by moving *.so files from devel package to main
- fix help menu by packaging doc files
- contributed by BALATON Zoltan.

* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.3.2-2mdv2011.0
+ Revision: 610220
- rebuild

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - add source and spec files
    - Created package structure for deadbeef.

